Adjust foreman & fuel daily trigger times until SR1
[releng.git] / jjb / genesis / genesis-fuel.yml
1 ########################
2 # Job configuration for genesis/fuel
3 ########################
4 - project:
5
6     name: genesis-fuel
7
8     project: 'genesis'
9
10     installer: 'fuel'
11
12     jobs:
13         - 'genesis-fuel-verify-build-{stream}'
14         - 'genesis-fuel-merge-{stream}'
15         - 'genesis-fuel-daily-{stream}'
16         - 'genesis-fuel-build-{stream}'
17         - 'genesis-fuel-deploy-{stream}'
18         - 'genesis-fuel-deploy-runner-{stream}'
19         - 'genesis-fuel-lab-reconfig-{stream}'
20         - 'genesis-fuel-verify-deploy-virtual-{stream}'
21
22     # stream:    branch with - in place of / (eg. stable-arno)
23     # branch:    branch (eg. stable/arno)
24     stream:
25         - master:
26             branch: 'master'
27             gs-pathname: ''
28             job-disabled: false
29         - stable-arno:
30             branch: 'stable/arno'
31             gs-pathname: '/arno'
32             job-disabled: true
33
34 ########################
35 # job templates
36 ########################
37
38 - job-template:
39     name: 'genesis-fuel-verify-build-{stream}'
40
41     project-type: freestyle
42
43     node: ericsson-build
44
45     concurrent: true
46
47     properties:
48         - throttle:
49             enabled: true
50             max-total: 3
51
52     logrotate:
53         daysToKeep: 30
54         numToKeep: 10
55         artifactDaysToKeep: -1
56         artifactNumToKeep: -1
57
58     parameters:
59         - project-parameter:
60             project: '{project}'
61         - gerrit-parameter:
62             branch: '{branch}'
63         - fuel-parameter:
64             installer: '{installer}'
65             gs-pathname: '{gs-pathname}'
66
67     scm:
68         - gerrit-trigger-scm:
69             credentials-id: '{ssh-credentials}'
70             refspec: '$GERRIT_REFSPEC'
71             choosing-strategy: 'gerrit'
72
73     wrappers:
74         - ssh-agent-credentials:
75             user: '{ssh-credentials}'
76
77     triggers:
78         - gerrit:
79             trigger-on:
80                 - patchset-created-event:
81                     exclude-drafts: 'false'
82                     exclude-trivial-rebase: 'false'
83                     exclude-no-code-change: 'false'
84                 - draft-published-event
85                 - comment-added-contains-event:
86                     comment-contains-value: 'recheck'
87                 - comment-added-contains-event:
88                     comment-contains-value: 'reverify'
89             projects:
90               - project-compare-type: 'ANT'
91                 project-pattern: 'genesis'
92                 branches:
93                   - branch-compare-type: 'ANT'
94                     branch-pattern: '**/{branch}'
95                 file-paths:
96                   - compare-type: ANT
97                     pattern: 'common/ci/**'
98                   - compare-type: ANT
99                     pattern: 'common/manifests/**'
100                   - compare-type: ANT
101                     pattern: 'common/puppet-opnfv/**'
102                   - compare-type: ANT
103                     pattern: 'common/tools/**'
104                   - compare-type: ANT
105                     pattern: '{installer}/build/**'
106                   - compare-type: ANT
107                     pattern: '{installer}/ci/**'
108                   - compare-type: ANT
109                     pattern: '{installer}/deploy/**'
110                   - compare-type: ANT
111                     pattern: '{installer}/include/**'
112                   - compare-type: ANT
113                     pattern: '{installer}/prototypes/**'
114                 forbidden-file-paths:
115                   - compare-type: ANT
116                     pattern: 'common/docs/**'
117                   - compare-type: ANT
118                     pattern: '{installer}/docs/**'
119
120     builders:
121         - 'fuel-build'
122         - 'fuel-workspace-cleanup'
123
124 - job-template:
125     name: 'genesis-fuel-merge-{stream}'
126
127     project-type: freestyle
128
129     node: ericsson-build
130
131     concurrent: true
132
133     properties:
134         - throttle:
135             enabled: true
136             max-total: 2
137
138     logrotate:
139         daysToKeep: 30
140         numToKeep: 40
141         artifactDaysToKeep: -1
142         artifactNumToKeep: 5
143
144     parameters:
145         - project-parameter:
146             project: '{project}'
147         - gerrit-parameter:
148             branch: '{branch}'
149         - fuel-parameter:
150             installer: '{installer}'
151             gs-pathname: ''
152
153     scm:
154         - gerrit-trigger-scm:
155             credentials-id: '{ssh-credentials}'
156             refspec: ''
157             choosing-strategy: 'default'
158
159     wrappers:
160         - ssh-agent-credentials:
161             user: '{ssh-credentials}'
162
163     triggers:
164         - gerrit:
165             trigger-on:
166                 - change-merged-event
167                 - comment-added-contains-event:
168                     comment-contains-value: 'remerge'
169             projects:
170               - project-compare-type: 'ANT'
171                 project-pattern: 'genesis'
172                 branches:
173                   - branch-compare-type: 'ANT'
174                     branch-pattern: '**/{branch}'
175                 file-paths:
176                   - compare-type: ANT
177                     pattern: 'common/ci/**'
178                   - compare-type: ANT
179                     pattern: 'common/manifests/**'
180                   - compare-type: ANT
181                     pattern: 'common/puppet-opnfv/**'
182                   - compare-type: ANT
183                     pattern: 'common/tools/**'
184                   - compare-type: ANT
185                     pattern: '{installer}/build/**'
186                   - compare-type: ANT
187                     pattern: '{installer}/ci/**'
188                   - compare-type: ANT
189                     pattern: '{installer}/deploy/**'
190                   - compare-type: ANT
191                     pattern: '{installer}/include/**'
192                   - compare-type: ANT
193                     pattern: '{installer}/prototypes/**'
194                 forbidden-file-paths:
195                   - compare-type: ANT
196                     pattern: 'common/docs/**'
197                   - compare-type: ANT
198                     pattern: '{installer}/docs/**'
199
200     builders:
201         - 'fuel-build'
202         - 'fuel-workspace-cleanup'
203
204 - job-template:
205     name: 'genesis-fuel-daily-{stream}'
206
207     project-type: freestyle
208
209     node: ericsson-build
210
211     disabled: '{job-disabled}'
212
213     triggers:
214         - 'fuel-{stream}'
215
216     parameters:
217         - project-parameter:
218             project: '{project}'
219         - fuel-parameter:
220             installer: '{installer}'
221             gs-pathname: '{gs-pathname}'
222
223     scm:
224         - git-scm:
225             credentials-id: '{ssh-credentials}'
226             refspec: ''
227             branch: '{branch}'
228
229     logrotate:
230         daysToKeep: 30
231         numToKeep: 10
232         artifactDaysToKeep: -1
233         artifactNumToKeep: -1
234
235     builders:
236         - trigger-builds:
237           - project: 'genesis-fuel-build-{stream}'
238             git-revision: true
239             block: true
240         - trigger-builds:
241           - project: 'genesis-fuel-lab-reconfig-{stream}'
242             git-revision: true
243             block: true
244         - trigger-builds:
245           - project: 'genesis-fuel-deploy-{stream}'
246             git-revision: true
247             block: true
248         - trigger-builds:
249           - project: 'functest-fuel-{stream}'
250             block: true
251             block-thresholds:
252                 build-step-failure-threshold: 'never'
253                 failure-threshold: 'never'
254                 unstable-threshold: 'FAILURE'
255         # - trigger-builds:
256           # - project: 'yardstick-fuel-{stream}'
257             # block: true
258             # block-thresholds:
259                 # build-step-failure-threshold: 'never'
260                 # failure-threshold: 'never'
261                 # unstable-threshold: 'FAILURE'
262
263 - job-template:
264     name: 'genesis-fuel-deploy-runner-{stream}'
265
266     project-type: freestyle
267
268     disabled: false
269
270     node: master
271
272     logrotate:
273         daysToKeep: 30
274         numToKeep: 10
275         artifactDaysToKeep: -1
276         artifactNumToKeep: -1
277
278     parameters:
279         - project-parameter:
280             project: '{project}'
281         - fuel-parameter:
282             installer: '{installer}'
283             gs-pathname: '{gs-pathname}'
284         - string:
285             name: GIT_BASE
286             default: ssh://gerrit.opnfv.org:29418/$PROJECT
287             description: "Used for overriding the GIT URL coming from parameters macro."
288
289     scm:
290         - git-scm:
291             credentials-id: '{ssh-credentials}'
292             refspec: ''
293             branch: '{branch}'
294
295     properties:
296         - build-blocker:
297             use-build-blocker: true
298             blocking-jobs:
299                 - "genesis-foreman-daily.*"
300                 - "genesis-foreman-deploy-runner-{stream}"
301                 - "genesis-fuel-daily.*"
302
303     builders:
304         - 'fuel-lab-reconfig'
305         - trigger-builds:
306           - project: 'genesis-fuel-deploy-{stream}'
307             git-revision: true
308             block: true
309
310 - job-template:
311     name: 'genesis-fuel-build-{stream}'
312
313     project-type: freestyle
314
315     node: ericsson-build
316
317     logrotate:
318         daysToKeep: 30
319         numToKeep: 10
320         artifactDaysToKeep: -1
321         artifactNumToKeep: -1
322
323     parameters:
324         - project-parameter:
325             project: '{project}'
326         - fuel-parameter:
327             installer: '{installer}'
328             gs-pathname: '{gs-pathname}'
329
330     scm:
331         - git-scm:
332             credentials-id: '{ssh-credentials}'
333             refspec: ''
334             branch: '{branch}'
335
336     builders:
337         - 'fuel-build'
338         - 'fuel-upload-artifact'
339         - 'fuel-workspace-cleanup'
340
341     publishers:
342         - email:
343             recipients: jonas.bjurel@ericsson.com stefan.k.berg@ericsson.com
344
345 - job-template:
346     name: 'genesis-fuel-deploy-{stream}'
347
348     project-type: freestyle
349
350     disabled: false
351
352     node: opnfv-jump-2
353
354     parameters:
355         - project-parameter:
356             project: '{project}'
357         - fuel-parameter:
358             installer: '{installer}'
359             gs-pathname: '{gs-pathname}'
360         - string:
361             name: GIT_BASE
362             default: ssh://gerrit.opnfv.org:29418/$PROJECT
363             description: "POD2 has some issues with cloning using https so that's why GIT_BASE is overriden here again."
364
365     scm:
366         - git-scm:
367             credentials-id: '{ssh-credentials}'
368             refspec: ''
369             branch: '{branch}'
370
371     logrotate:
372         daysToKeep: 30
373         numToKeep: 10
374         artifactDaysToKeep: -1
375         artifactNumToKeep: -1
376
377     builders:
378         - 'fuel-download-artifact'
379         - 'fuel-odl-plugin-build'
380         - 'fuel-deploy'
381
382     publishers:
383         - email:
384             recipients: jonas.bjurel@ericsson.com stefan.k.berg@ericsson.com
385
386 - job-template:
387     name: 'genesis-fuel-lab-reconfig-{stream}'
388
389     project-type: freestyle
390
391     disabled: false
392
393     node: master
394
395     logrotate:
396         daysToKeep: 30
397         numToKeep: 10
398         artifactDaysToKeep: -1
399         artifactNumToKeep: -1
400
401     parameters:
402         - project-parameter:
403             project: '{project}'
404         - fuel-parameter:
405             installer: '{installer}'
406             gs-pathname: '{gs-pathname}'
407         - string:
408             name: GIT_BASE
409             default: ssh://gerrit.opnfv.org:29418/$PROJECT
410             description: "Used for overriding the GIT URL coming from parameters macro."
411
412     scm:
413         - git-scm:
414             credentials-id: '{ssh-credentials}'
415             refspec: ''
416             branch: '{branch}'
417
418     properties:
419         - build-blocker:
420             use-build-blocker: true
421             blocking-jobs:
422                 - "genesis-foreman-daily.*"
423
424     builders:
425         - 'fuel-lab-reconfig'
426
427 - job-template:
428     name: 'genesis-fuel-verify-deploy-virtual-{stream}'
429
430     project-type: freestyle
431
432     disabled: true
433
434     node: ericsson-build
435
436     parameters:
437         - project-parameter:
438             project: '{project}'
439         - fuel-parameter:
440             installer: '{installer}'
441             gs-pathname: ''
442
443     scm:
444         - git-scm:
445             credentials-id: '{ssh-credentials}'
446             refspec: ''
447             branch: 'master'
448
449     logrotate:
450         daysToKeep: 30
451         numToKeep: 10
452         artifactDaysToKeep: -1
453         artifactNumToKeep: -1
454
455     builders:
456         - 'fuel-deploy-virtual'
457
458 ########################
459 # parameter macros
460 ########################
461 - parameter:
462     name: fuel-parameter
463     parameters:
464         - string:
465             name: INSTALLER
466             default: '{installer}'
467             description: "Installer to use."
468         - string:
469             name: BUILD_DIRECTORY
470             default: $WORKSPACE/build_output
471             description: "Directory where the build artifact will be located upon the completion of the build."
472         - string:
473             name: CACHE_DIRECTORY
474             default: $HOME/opnfv/cache/genesis-$INSTALLER
475             description: "Directory where the cache to be used during the build is located."
476         - string:
477             name: GIT_BASE
478             default: https://gerrit.opnfv.org/gerrit/$PROJECT
479             description: "Used for overriding the GIT URL coming from Global Jenkins configuration in case if the stuff is done on none-LF HW."
480         - string:
481             name: GS_URL
482             default: artifacts.opnfv.org/$PROJECT/$INSTALLER{gs-pathname}
483             description: "URL to Google Storage."
484
485 ########################
486 # builder macros
487 ########################
488 - builder:
489     name: 'fuel-build'
490     builders:
491         - shell: |
492             #!/bin/bash
493             set -o errexit
494             set -o nounset
495             set -o pipefail
496
497             # log info to console
498             echo "Starting the build of $INSTALLER. This could take some time..."
499             echo "--------------------------------------------------------"
500             echo
501
502             # create the cache directory if it doesn't exist
503             [[ -d $CACHE_DIRECTORY ]] || mkdir -p $CACHE_DIRECTORY
504
505             # set OPNFV_ARTIFACT_VERSION
506             export OPNFV_ARTIFACT_VERSION=$(date -u +"%Y-%m-%d_%H-%M-%S")
507
508             # start the build
509             cd $WORKSPACE/$INSTALLER/ci
510             ./build.sh -v $OPNFV_ARTIFACT_VERSION -c file://$CACHE_DIRECTORY $BUILD_DIRECTORY
511
512             # list the build artifacts
513             ls -al $BUILD_DIRECTORY
514
515             # save information regarding artifact into file
516             (
517                 echo "OPNFV_ARTIFACT_VERSION=$OPNFV_ARTIFACT_VERSION"
518                 echo "OPNFV_GIT_URL=$(git config --get remote.origin.url)"
519                 echo "OPNFV_GIT_SHA1=$(git rev-parse HEAD)"
520                 echo "OPNFV_ARTIFACT_URL=$GS_URL/opnfv-$OPNFV_ARTIFACT_VERSION.iso"
521                 echo "OPNFV_ARTIFACT_MD5SUM=$(md5sum $BUILD_DIRECTORY/opnfv-$OPNFV_ARTIFACT_VERSION.iso | cut -d' ' -f1)"
522                 echo "OPNFV_BUILD_URL=$BUILD_URL"
523             ) > $WORKSPACE/opnfv.properties
524
525             echo
526             echo "--------------------------------------------------------"
527             echo "Done!"
528
529 - builder:
530     name: 'fuel-odl-plugin-build'
531     builders:
532         - shell: |
533             #!/bin/bash
534             set -o errexit
535             set -o nounset
536             set -o pipefail
537
538             # install dependencies if they are not available already
539             if [[ ! $(rpm -qa | grep rubygems) ]]; then
540                 echo "Rubygems not found, but required for Fuel Plugin build ... attempting to install"
541                 sudo yum install -y rubygems ruby-devel
542             fi
543
544             if [[ ! $(gem list | grep fpm) ]]; then
545                 echo "fpm gem not found, but required for Fuel Plugin build ... attempting to install"
546                 sudo gem install fpm
547             fi
548
549             if [[ ! $(pip list | grep fuel-plugin-builder) ]]; then
550                 echo "fuel-plugin-builder not found, but required for Fuel Plugin build ... attempting to install"
551                 sudo pip install fuel-plugin-builder
552             fi
553
554             # log info to console
555             echo "Starting the build of Fuel Opendaylight Plugin. This could take some time..."
556             echo "--------------------------------------------------------"
557             echo
558
559             export ODL_PLUGIN_BRANCH="juno/lithium-sr1"
560
561             cd $WORKSPACE
562             git clone https://github.com/stackforge/fuel-plugin-opendaylight
563
564             pushd $WORKSPACE/fuel-plugin-opendaylight
565             git checkout $ODL_PLUGIN_BRANCH
566             popd
567
568             fpb --build fuel-plugin-opendaylight/
569
570             echo
571             echo "--------------------------------------------------------"
572             echo "Done!"
573
574 - builder:
575     name: 'fuel-deploy'
576     builders:
577         - shell: |
578             #!/bin/bash
579             set -o errexit
580             set -o nounset
581             set -o pipefail
582
583             # source the file so we get OPNFV vars
584             source latest.properties
585
586             # echo the info about artifact that is used during the deployment
587             echo "Using $(echo $OPNFV_ARTIFACT_URL | cut -d'/' -f4) for deployment"
588
589             # create TMPDIR if it doesn't exist
590             export TMPDIR=$HOME/tmpdir
591             [[ -d $TMPDIR ]] || mkdir -p $TMPDIR
592
593             # change permissions down to TMPDIR
594             chmod a+x $HOME
595             chmod a+x $TMPDIR
596
597             # set CONFDIR, BRIDGE
598             export CONFDIR=$WORKSPACE/fuel/deploy/templates/hardware_environment/conf/linux_foundation_lab/pod2
599             export BRIDGE=pxebr
600             export PLUGIN=$WORKSPACE/fuel-plugin-opendaylight
601
602             # cleanup first
603             sudo $WORKSPACE/common/ci/clean.sh -base_config $WORKSPACE/foreman/ci/inventory/lf_pod2_ksgen_settings.yml
604
605             # prepare for Fuel Deployment
606             sudo $WORKSPACE/common/ci/setup.sh
607
608             # log info to console
609             echo "Starting the deployment using $INSTALLER. This could take some time..."
610             echo "--------------------------------------------------------"
611             echo
612
613             # start the deployment
614             echo "Issuing command"
615             echo "sudo $WORKSPACE/fuel/ci/deploy.sh -iso $WORKSPACE/opnfv.iso -dea $CONFDIR/dea.yaml -dha $CONFDIR/dha.yaml -s $TMPDIR -b $BRIDGE -p $PLUGIN -nh"
616             sudo $WORKSPACE/fuel/ci/deploy.sh -iso $WORKSPACE/opnfv.iso -dea $CONFDIR/dea.yaml -dha $CONFDIR/dha.yaml -s $TMPDIR -b $BRIDGE -p $PLUGIN -nh
617
618             echo
619             echo "--------------------------------------------------------"
620             echo "Done!"
621
622 - builder:
623     name: 'fuel-deploy-virtual'
624     builders:
625         - shell: |
626             #!/bin/bash
627             set -o errexit
628             set -o nounset
629             set -o pipefail
630
631             # log info to console
632             echo "Starting the deployment on virtual environment using $INSTALLER. This could take some time..."
633             echo "--------------------------------------------------------"
634             echo
635
636             ssh -o BatchMode=yes -o TCPKeepAlive=yes cideploy@10.118.34.205 ./cideploy.sh
637
638             echo
639             echo "--------------------------------------------------------"
640             echo "Done!"
641
642 - builder:
643     name: 'fuel-upload-artifact'
644     builders:
645         - shell: |
646             #!/bin/bash
647             set -o errexit
648             set -o nounset
649             set -o pipefail
650
651             # log info to console
652             echo "Uploading the $INSTALLER artifact. This could take some time..."
653             echo "--------------------------------------------------------"
654             echo
655
656             # source the opnfv.properties to get ARTIFACT_VERSION
657             source $WORKSPACE/opnfv.properties
658
659             # upload artifact and additional files to google storage
660             gsutil cp $BUILD_DIRECTORY/opnfv-$OPNFV_ARTIFACT_VERSION.iso gs://$GS_URL/opnfv-$OPNFV_ARTIFACT_VERSION.iso > gsutil.iso.log 2>&1
661             gsutil cp $WORKSPACE/opnfv.properties gs://$GS_URL/opnfv-$OPNFV_ARTIFACT_VERSION.properties > gsutil.properties.log 2>&1
662             gsutil cp $WORKSPACE/opnfv.properties gs://$GS_URL/latest.properties > gsutil.latest.log 2>&1
663
664             echo
665             echo "--------------------------------------------------------"
666             echo "Done!"
667             echo "Artifact is available as http://$GS_URL/opnfv-$OPNFV_ARTIFACT_VERSION.iso"
668
669 - builder:
670     name: 'fuel-download-artifact'
671     builders:
672         - shell: |
673             #!/bin/bash
674             set -o errexit
675             set -o nounset
676             set -o pipefail
677
678             # get the latest.properties file in order to get info regarding latest artifact
679             curl -s -o $WORKSPACE/latest.properties http://$GS_URL/latest.properties
680
681             # check if we got the file
682             [[ -f latest.properties ]] || exit 1
683
684             # source the file so we get OPNFV vars
685             source latest.properties
686
687             # log info to console
688             echo "Downloading the $INSTALLER artifact using URL http://$OPNFV_ARTIFACT_URL"
689             echo "This could take some time..."
690             echo "--------------------------------------------------------"
691             echo
692
693             # download the file
694             curl -s -o $WORKSPACE/opnfv.iso http://$OPNFV_ARTIFACT_URL > gsutil.iso.log 2>&1
695
696             # list the file
697             ls -al $WORKSPACE/opnfv.iso
698
699             echo
700             echo "--------------------------------------------------------"
701             echo "Done!"
702
703 - builder:
704     name: 'fuel-workspace-cleanup'
705     builders:
706         - shell: |
707             #!/bin/bash
708             set -o errexit
709             set -o nounset
710             set -o pipefail
711
712             # delete everything that is in $WORKSPACE
713             /bin/rm -rf $WORKSPACE
714
715 - builder:
716     name: 'fuel-lab-reconfig'
717     builders:
718         - shell: |
719             #!/bin/bash
720             set -o errexit
721             set -o nounset
722             set -o pipefail
723
724             # check to see if ucs login info file exists
725             if [ -e ~/.ssh/ucs_creds ];then
726               source ~/.ssh/ucs_creds
727             else
728               echo "Unable to find UCS credentials for LF lab reconfiguration...Exiting"
729               exit 1
730             fi
731
732             # clone releng
733             echo "Cloning releng repo..."
734             if ! GIT_SSL_NO_VERIFY=true git clone https://gerrit.opnfv.org/gerrit/releng; then
735               echo "Unable to clone releng repo...Exiting"
736               exit 1
737             fi
738
739             # log info to console
740             echo "Starting the lab reconfiguration for $INSTALLER..."
741             echo "--------------------------------------------------------"
742             echo
743
744             # create venv
745             $WORKSPACE/releng/utils/lab-reconfiguration/create_venv.sh
746
747             # disable nounset because 'activate' script contains unbound variable(s)
748             set +o nounset
749             # enter venv
750             source $WORKSPACE/releng/utils/lab-reconfiguration/venv/bin/activate
751             # set nounset back again
752             set -o nounset
753
754             # verify we are in venv
755             if [[ ! $(which python | grep venv) ]]; then
756               echo "Unable to activate venv...Exiting"
757               exit 1
758             fi
759
760             python $WORKSPACE/releng/utils/lab-reconfiguration/reconfigUcsNet.py -i $ucs_host -u $ucs_user -p $ucs_password -f $WORKSPACE/releng/utils/lab-reconfiguration/fuel.yaml
761
762             # while undergoing reboot
763             sleep 30
764
765             # check to see if slave is back up
766             ping_counter=0
767             ping_flag=0
768             while [ "$ping_counter" -lt 20 ]; do
769               if [[ $(ping -c 5 172.30.10.72) ]]; then
770                 ping_flag=1
771                 break
772               fi
773               ((ping_counter++))
774               sleep 10
775             done
776
777             if [ "$ping_flag" -eq 1 ]; then
778               echo "Slave is pingable, now wait 180 seconds for services to start"
779               sleep 180
780             else
781               echo "Slave did not come back up after reboot: please check opnfv-jump-2"
782               exit 1
783             fi
784
785             set +o nounset
786             deactivate
787
788             echo
789             echo "--------------------------------------------------------"
790             echo "Done!"
791
792 ########################
793 # trigger macros
794 ########################
795 - trigger:
796     name: 'fuel-master'
797     triggers:
798         - timed: '0 5 * * *'
799
800 - trigger:
801     name: 'fuel-stable-arno'
802     triggers:
803         - timed: '0 7 * * *'